<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

function action_inverser_ordre_dist(){
	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();
	list($id_objet,$objet,$ordre)=explode('/',$arg);
	$id_objet = intval($id_objet);


	include_spip('inc/autoriser');
	if (! autoriser("modifier",$objet, $id_objet)) {
		return false;
	}
	if ($id_objet) {
		if ($ordre=="DESC"){
			$set = array(
				'ordre' => 'ASC'
			);
		}
		elseif ($ordre=="ASC"){
			$set = array(
				'ordre' => 'DESC'
			);
		}
		else{
			return false;
		}

		$table = "spip_". $objet . "s";
		$where= "id_$objet=$id_objet";
		sql_updateq($table, $set, $where);
		include_spip('inc/invalideur');
		suivre_invalideur("id='$objet/$id_objet'");
	}
	// redirection sur la page courante
	include_spip('inc/headers');
	redirige_par_entete(_request('redirect'));
}

